Subject: bug#22526: 25.0.90; Crash starting gnus

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Feb 2016 23:29:08 +0200

> From: Fabrice Popineau <[email-masked]>
> Date: Sun, 14 Feb 2016 22:04:39 +0100
> Cc: [email-masked], [email-masked]
> 
> I see the same block Andrew sees using vmmap and I wonder what buffer is attached to it.

You can find that out by running under a debugger and placing a
conditional breakpoint where we allocate memory for buffers.

> Also vmmap reports a 4k block committed at 0x1F0000. If I ask vmmap to display free/unusable blocks,
> it reports 0x1F1000 as unusable, size 60k and committed 60k. The problem is that the first block has been 
> allocated with 4k, so the next 60k are unusable.  We should allocate by block by allocation granularity
>  as reported by GetSystemInfo().

You mean, instead of reserving NBYTES or 2 * NBYTES, round it up to an
integral number of 64KB chunks?